<?php

namespace App\Http\Controllers;

use App\Models\Asignacion;
use App\Models\Guardias;
use App\Models\HtKilometraje;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;
use Carbon\Carbon;

class AsignacionController extends Controller
{
    public function CrearAsignacionSalida(Request $r)
    {
        try {
            $modeloAsignacion = new Asignacion();
            $modeloAsignacion->id_chofer_fk = $r->id_chofer_fk;
            $modeloAsignacion->id_unidad_fk = $r->id_unidad_fk;
            $modeloAsignacion->tipoAlquiler = $r->tipoAlquiler;
            $modeloAsignacion->kilometrajeactual = $r->kilometrajeactual;
            $modeloAsignacion->kilometrajepost = '0';
            $modeloAsignacion->canthoras = $r->canthoras;
            $modeloAsignacion->observacion = $r->observacion;
            $modeloAsignacion->estado = 'A';
            $modeloAsignacion->id_usuario_ing = $r->id_usuario_ing;
            $modeloAsignacion->fechaIngreso = $r->fechaIngreso;
            $modeloAsignacion->save();

            $modeloKilometraje = new HtKilometraje();
            $modeloKilometraje->id_unidad_fk = 1;
            $modeloKilometraje->kilometraje = 1;
            $modeloKilometraje->fechaIngreso = 1;
            $modeloKilometraje->estado = 'A';
            $modeloKilometraje->save();
        } catch (\Throwable $th) {
            //throw $th;
        }
    }
    
    public function CrearAsignacionEntrada(Request $r)
    {
        try {
            $modeloAsignacion =  Asignacion::where('')->get;
            $modeloAsignacion->id_chofer_fk = $r->id_chofer_fk;
            $modeloAsignacion->id_unidad_fk = $r->id_unidad_fk;
            $modeloAsignacion->tipoAlquiler = $r->tipoAlquiler;
            $modeloAsignacion->kilometrajeactual = $r->kilometrajeactual;
            $modeloAsignacion->kilometrajepost = '0';
            $modeloAsignacion->canthoras = $r->canthoras;
            $modeloAsignacion->observacion = $r->observacion;
            $modeloAsignacion->estado = 'T';
            $modeloAsignacion->id_usuario_ing = $r->id_usuario_ing;
            $modeloAsignacion->fechaIngreso = $r->fechaIngreso;
            $modeloAsignacion->save();

            $modeloKilometraje = new HtKilometraje();
            $modeloKilometraje->id_unidad_fk = 1;
            $modeloKilometraje->kilometraje = 1;
            $modeloKilometraje->fechaIngreso = 1;
            $modeloKilometraje->estado = 'A';
            $modeloKilometraje->save();

        } catch (\Throwable $th) {
            //throw $th;
        }
    }

    public function ListarAsignacionesPendientes($id)
    {
        try {
            $dataAsignacion = DB::table('asignacion')
                ->join('co_chofer', 'asignacion.id_chofer_fk', 'co_chofer.IdChofer')
                ->join('ct_vehiculos', 'asignacion.id_unidad_fk', 'ct_vehiculos.IdVehiculos')
                ->select(['asignacion.id','asignacion.kilometrajeactual',''])
                ->where('asignacion.id_usuario_ing', $id)->where('asignacion.estado', 'A')->get();
        } catch (\Throwable $th) {
            //throw $th;
        }
    }
}
